ranges::views::group_by_fn Struct Reference
Inheritance diagram for ranges::views::group_by_fn:

## Synopsis of methods

constexpr group_by_fn | group_by {}

## Public Member Functions

template<typename Fun >
constexpr auto | operator() (Fun fun) const
Public Member Functions inherited from ranges::views::group_by_base_fn
template<typename Rng , typename Fun >
CPP_TEMPLATE_AUX_0 | c (requires ` viewable_range< Rng > &&forward_range< Rng > &&indirect_relation< Fun, iterator_t< Rng >>) ccconstexpr group_by_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Fun | operator() (Rng &&rng, Fun fun) const